Bug 61671

Summary: Convert shadow DOM-related tests to use window.internals.
Product: WebKit Reporter: Dimitri Glazkov (Google) <dglazkov>
Component: New BugsAssignee: Dominic Cooney <dominicc>
Status: RESOLVED FIXED    
Severity: Normal CC: ap, cmarcelo, darin, dglazkov, dominicc, gns, morrita, webkit.review.bot, xan.lopez
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 60313, 61073    
Bug Blocks: 59081, 59823    
Attachments:
Description Flags
Patch
none
WIP a patch towards the same goal for win and win-wk2
none
WIP a patch towards the same goal for win and win-wk2
none
WIP works on mac, mac-wk2 as well as win, win-wk2 (probably); rips out layoutTestController.*shadow* from various ports
none
Die code, die (which is German for "The code, the.")
webkit.review.bot: commit-queue-
Archive of layout-test-results from ec2-cr-linux-01
none
Patch
none
Moods for moderns|bots
webkit.review.bot: commit-queue-
Archive of layout-test-results from ec2-cr-linux-01
none
Patch
none
For bots
none
Patch
none
Archive of layout-test-results from ec2-cr-linux-03
none
Patch none

Description Dimitri Glazkov (Google) 2011-05-27 15:28:35 PDT
Convert shadow DOM-related tests to use window.internals.
Comment 1 Dimitri Glazkov (Google) 2011-05-27 15:29:04 PDT
Created attachment 95222 [details]
Patch
Comment 2 Dimitri Glazkov (Google) 2011-05-27 15:36:42 PDT
This seems like a good first start for window.internals. Love the tiny bit of code that will replace all that plumbing across ports. And the exports seems to be one-time deal, associated with setting a property callback on a JS wrapper.
Comment 3 Dominic Cooney 2011-05-29 17:46:00 PDT
Comment on attachment 95222 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=95222&action=review

> Source/WebCore/testing/Internals.cpp:51
> +

Nit: delete this blank line
Comment 4 Dominic Cooney 2011-05-29 17:46:25 PDT
Yes—awesome.
Comment 5 Dominic Cooney 2011-06-12 23:16:39 PDT
Created attachment 96922 [details]
WIP a patch towards the same goal for win and win-wk2

Now to update and unify these...
Comment 6 Dominic Cooney 2011-06-12 23:31:14 PDT
Created attachment 96924 [details]
WIP a patch towards the same goal for win and win-wk2

More test updates.
Comment 7 Dimitri Glazkov (Google) 2011-06-13 09:30:47 PDT
Freakish stuff. Keep up the good work!
Comment 8 Dominic Cooney 2011-06-13 19:09:46 PDT
Created attachment 97054 [details]
WIP works on mac, mac-wk2 as well as win, win-wk2 (probably); rips out layoutTestController.*shadow* from various ports

This is based on attachment 96938 [details]. So I’m going to upload a megapatch including that to bounce off the build bots. I expect GTK and Qt need some love, so they are next.
Comment 9 Dominic Cooney 2011-06-13 19:14:11 PDT
Created attachment 97055 [details]
Die code, die (which is German for "The code, the.")

Combines the patch on bug 61073 and attachment 97054 [details], for bouncing off bots.
Comment 10 WebKit Review Bot 2011-06-13 19:32:47 PDT
Comment on attachment 97055 [details]
Die code, die (which is German for "The code, the.")

Attachment 97055 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/8836477

New failing tests:
media/video-controls-in-media-document.html
fast/dom/HTMLKeygenElement/keygen.html
Comment 11 WebKit Review Bot 2011-06-13 19:32:52 PDT
Created attachment 97057 [details]
Archive of layout-test-results from ec2-cr-linux-01

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: ec2-cr-linux-01  Port: Chromium  Platform: Linux-2.6.35-28-virtual-x86_64-with-Ubuntu-10.10-maverick
Comment 12 Gustavo Noronha (kov) 2011-06-13 19:41:16 PDT
Comment on attachment 97055 [details]
Die code, die (which is German for "The code, the.")

Attachment 97055 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/8832724
Comment 13 Dominic Cooney 2011-06-13 20:12:54 PDT
Note to self: bug 61071 points to where GTK lists its WebCore exports for WebCoreTestSupport—Source/autotools/symbols.filter
Comment 14 Dominic Cooney 2011-06-14 06:32:35 PDT
Created attachment 97106 [details]
Patch

I fixed GTK. Qt just works. I broke win/win-wk2 when I made internals methods throw exceptions if given bad arguments; I expect I fixed this but will verify. I updated the failing tests the Chromium Linux bot unearthed.

I think this is ready for human consumption. It is just blocked on bug 61073. In the meantime I will upload an omnibus patch including 61073 for the bots.
Comment 15 Dominic Cooney 2011-06-14 06:39:38 PDT
Created attachment 97108 [details]
Moods for moderns|bots

This bug is blocked on 61073. This is attachment 97065 [details] from bug 61073 plus attachment 97106 [details], designed for the entrancement of bots.
Comment 16 WebKit Review Bot 2011-06-14 06:58:24 PDT
Comment on attachment 97108 [details]
Moods for moderns|bots

Attachment 97108 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/8843197

New failing tests:
fast/dom/HTMLKeygenElement/keygen.html
Comment 17 WebKit Review Bot 2011-06-14 06:58:30 PDT
Created attachment 97112 [details]
Archive of layout-test-results from ec2-cr-linux-01

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: ec2-cr-linux-01  Port: Chromium  Platform: Linux-2.6.35-28-virtual-x86_64-with-Ubuntu-10.10-maverick
Comment 18 Dominic Cooney 2011-06-14 07:06:23 PDT
Created attachment 97113 [details]
Patch

Another try. Forgot to squash a commit.
Comment 19 Dominic Cooney 2011-06-14 07:11:06 PDT
Created attachment 97114 [details]
For bots
Comment 20 Dominic Cooney 2011-06-23 21:29:00 PDT
Created attachment 98454 [details]
Patch
Comment 21 WebKit Review Bot 2011-06-23 21:49:02 PDT
Comment on attachment 98454 [details]
Patch

Attachment 98454 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/8939226

New failing tests:
fast/dom/shadow/create-content-element.html
Comment 22 WebKit Review Bot 2011-06-23 21:49:08 PDT
Created attachment 98457 [details]
Archive of layout-test-results from ec2-cr-linux-03

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: ec2-cr-linux-03  Port: Chromium  Platform: Linux-2.6.35-28-virtual-x86_64-with-Ubuntu-10.10-maverick
Comment 23 Dominic Cooney 2011-06-24 01:56:59 PDT
Created attachment 98474 [details]
Patch
Comment 24 WebKit Review Bot 2011-06-24 10:38:07 PDT
Comment on attachment 98474 [details]
Patch

Clearing flags on attachment: 98474

Committed r89682: <http://trac.webkit.org/changeset/89682>
Comment 25 WebKit Review Bot 2011-06-24 10:38:23 PDT
All reviewed patches have been landed.  Closing bug.